Delete specific cart attribute - Fabric

Delete specific cart attribute

cURL

curl --request DELETE \
  --url https://prod.cart.fabric.inc/v2/carts/{cartId}/attributes/{attributeId} \
  --header 'Authorization: <authorization>' \
  --header 'x-site-context: <x-site-context>'

Python

import requests

url = "https://prod.cart.fabric.inc/v2/carts/{cartId}/attributes/{attributeId}"

headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "<authorization>"
}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'DELETE',
  headers: {'x-site-context': '<x-site-context>', Authorization: '<authorization>'}
};

fetch('https://prod.cart.fabric.inc/v2/carts/{cartId}/attributes/{attributeId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod.cart.fabric.inc/v2/carts/{cartId}/attributes/{attributeId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "Authorization: <authorization>",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {
    url := "https://prod.cart.fabric.inc/v2/carts/{cartId}/attributes/{attributeId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "<authorization>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java (Unirest)

HttpResponse<String> response = Unirest.delete("https://prod.cart.fabric.inc/v2/carts/{cartId}/attributes/{attributeId}")
  .header("x-site-context", "<x-site-context>")
  .header("Authorization", "<authorization>")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://prod.cart.fabric.inc/v2/carts/{cartId}/attributes/{attributeId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = '<authorization>'

response = http.request(request)
puts response.read_body

Possible Status Codes

Response Example

{
  "items": [
    {
      "sku": "16B2GS8LD5FDS",
      "items": [
        {
          "sku": "13B9CL6WT2SLW",
          "quantity": 15,
          "cartItemId": "12gved0f-7645-40cb-y7b0-167f8bggdb3z",
          "itemId": "1730902008",
          "title": "Light Cover",
          "attributes": [
            {
              "attributeId": "60c2a358eb2ec30008ae70a1",
              "name": "gift wrapping (small)",
              "type": "GIFT",
              "price": 10,
              "description": "Gift wrapping for a small package",
              "value": "true"
            }
          ],
          "createdAt": "2022-02-18T15:12:40.974580",
          "updatedAt": "2022-02-18T15:12:40.974580",
          "type": "WEB_SHIP",
          "isActive": true,
          "unitPrice": {
            "currency": "USD",
            "amount": 100,
            "discount": {
              "amount": 20
            }
          },
          "totalPrice": {
            "currency": "USD",
            "amount": 100
          }
        }
      ]
    }
  ],
  "currency": "USD",
  "cartId": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
  "createdAt": "2022-02-11T14:09:40.836703",
  "totalItems": 3
}

Error Examples

{
  "code": "Bad Request",
  "message": "User ID or Cart ID does not exist"
}
{
  "code": "Internal Server Error",
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}